package com.bonus.canteen.core.device.manage.dto;

import cn.hutool.core.bean.BeanUtil;
import com.bonus.canteen.core.device.manage.model.DeviceControlRelation;
import io.swagger.annotations.ApiModelProperty;

public class DeviceControlRelationDTO {
   @ApiModelProperty("id主键")
   private Long id;
   @ApiModelProperty("控制设备id")
   private Long controlDeviceId;
   @ApiModelProperty("关联设备id")
   private Long relateDeviceId;

   public DeviceControlRelation convertToEntity() {
      DeviceControlRelation entity = new DeviceControlRelation();
      BeanUtil.copyProperties(this, entity, new String[0]);
      return entity;
   }

   public Long getId() {
      return this.id;
   }

   public Long getControlDeviceId() {
      return this.controlDeviceId;
   }

   public Long getRelateDeviceId() {
      return this.relateDeviceId;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setControlDeviceId(final Long controlDeviceId) {
      this.controlDeviceId = controlDeviceId;
   }

   public void setRelateDeviceId(final Long relateDeviceId) {
      this.relateDeviceId = relateDeviceId;
   }

}
